# wxFFileInputStream Class Reference
[Streams]

`#include <wx/wfstream.h>`

Inheritance diagram for wxFFileInputStream:
[legend]

## Detailed Description

This class represents data read in from a file.

There are actually two such groups of classes: this one is based on wxFFile whereas wxFileInputStream is based in the wxFile class.

Note that wxInputStream::SeekI() can seek beyond the end of the stream (file) and will thus not return wxInvalidOffset for that.

##

Library: wxBase

Category: Streams

See also:
  wxBufferedInputStream, wxFFileOutputStream, wxFileOutputStream

## Public Member Functions
| wxFFileInputStream (const wxString &filename, const wxString &mode="rb")
| Opens the specified file using its filename name using the specified mode.
| wxFFileInputStream (wxFFile &file)
| Initializes a file stream in read-only mode using the file I/O object file.
| wxFFileInputStream (FILE *fp)
| Initializes a file stream in read-only mode using the specified file pointer fp.
virtual | ~wxFFileInputStream ()
| Destructor.
bool | IsOk () const
| Returns true if the stream is initialized and ready.

List of all members.

## Constructor & Destructor Documentation

wxFFileInputStream::wxFFileInputStream | ( | const wxString & | filename,
|  | const wxString & | mode = `"rb"` |
| ) |  |  |

Opens the specified file using its filename name using the specified mode.

Warning:
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

wxFFileInputStream::wxFFileInputStream | ( | wxFFile & | file | ) |

Initializes a file stream in read-only mode using the file I/O object file.

wxFFileInputStream::wxFFileInputStream | ( | FILE * | fp | ) |

Initializes a file stream in read-only mode using the specified file pointer fp.

virtual wxFFileInputStream::~wxFFileInputStream | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

bool wxFFileInputStream::IsOk | ( |  | ) | const`[virtual]`

Returns true if the stream is initialized and ready.

Reimplemented from wxStreamBase.

Reimplemented in wxFFileStream.

|  | [ top ]